Exploit (Exploit Pack)
Date: 2016-08-16

exploitpack

## Class Exploit

- java.lang.Object
- - exploitpack.Exploit

-     public class Exploit
      extends java.lang.Object

  Author:
    jsacco

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exploit()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodeName()`
    `java.lang.String` | `getInformation()`
    `static java.lang.String` | `getIpExternal()`
    `java.lang.String` | `getModuleName()`
    `java.lang.String` | `getPlatform()`
    `java.lang.String` | `getRemotePort()`
    `java.lang.String` | `getService()`
    `java.lang.String` | `getShellcodeAvail()`
    `java.lang.String` | `getShellcodePort()`
    `java.lang.String` | `getSpecialArgs()`
    `java.lang.String` | `getType()`
    `void` | `setCodeName(java.lang.String CodeName)`
    `void` | `setInformation(java.lang.String Information)`
    `void` | `setModuleName(java.lang.String ModuleName)`
    `void` | `setPlatform(java.lang.String Platform)`
    `void` | `setRemotePort(java.lang.String RemotePort)`
    `void` | `setService(java.lang.String Service)`
    `void` | `setShellcodeAvail(java.lang.String ShellcodeAvail)`
    `void` | `setShellcodePort(java.lang.String ShellcodePort)`
    `void` | `setSpecialArgs(java.lang.String SpecialArgs)`
    `void` | `setType(java.lang.String Type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exploit

          public Exploit()

  - ### Method Detail

    - #### getModuleName

          public java.lang.String getModuleName()

    - #### getCodeName

          public java.lang.String getCodeName()

    - #### getType

          public java.lang.String getType()

    - #### getPlatform

          public java.lang.String getPlatform()

    - #### getService

          public java.lang.String getService()

    - #### getShellcodePort

          public java.lang.String getShellcodePort()

    - #### getRemotePort

          public java.lang.String getRemotePort()

    - #### setModuleName

          public void setModuleName(java.lang.String ModuleName)

    - #### setCodeName

          public void setCodeName(java.lang.String CodeName)

    - #### setType

          public void setType(java.lang.String Type)

    - #### setPlatform

          public void setPlatform(java.lang.String Platform)

    - #### setService

          public void setService(java.lang.String Service)

    - #### setShellcodePort

          public void setShellcodePort(java.lang.String ShellcodePort)

    - #### setRemotePort

          public void setRemotePort(java.lang.String RemotePort)

    - #### getShellcodeAvail

          public java.lang.String getShellcodeAvail()

    - #### setShellcodeAvail

          public void setShellcodeAvail(java.lang.String ShellcodeAvail)

    - #### getInformation

          public java.lang.String getInformation()

    - #### setInformation

          public void setInformation(java.lang.String Information)

    - #### getSpecialArgs

          public java.lang.String getSpecialArgs()

    - #### setSpecialArgs

          public void setSpecialArgs(java.lang.String SpecialArgs)

    - #### getIpExternal

          public static java.lang.String getIpExternal()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`